<?php

namespace App\Helper;


use Illuminate\Support\Facades\File;

use Intervention\Image\Facades\Image;

class ImageHelper {
    public static function add($file, $old_image , $path = 'files', $width=null, $height=null) {
        if($file->extension() == 'gif') {
            $input = uniqid() . time() . '.' . $file->getClientOriginalExtension();
        } else {
            $input = uniqid() . time() . '.webp';
        }
        $f_path = 'images/' . $path . '/' . $input;

        if (!file_exists('images/' . $path )) {
            File::makeDirectory('images/' . $path,  0777, true, true);
        }

        // Resize image
        if($file->extension() == 'gif') {
            copy($file->getRealPath(), $f_path);
        } else {
            $imgFile = Image::make($file->getRealPath())->encode('webp', 100)->save($f_path);
            if ($width && $height) {
            $imgFile->resize($width, $height, function ($constraint) {
                $constraint->aspectRatio();
                $constraint->upsize();
            })->save($f_path);
        }
        }
        // Delete the old image if it exists
        if ($old_image && $old_image !== $f_path) {
            File::delete($old_image);
        }
        return $f_path;
    }



    public static function delete($path) {
        if(File::exists($path)) {
            File::delete($path);
        }
    }
}


