<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Brand;
use Illuminate\Http\Request;

class BrandController extends Controller
{

    public $resource = 'brand';
    public $route = 'brands';

    public function __construct()
    {
        view()->share('item', $this->resource);
        view()->share('route', $this->route);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function index()
    {
        $brands = Brand::query()->orderBy('created_at', 'desc')->paginate(10);
        return view('admin.crud.brand._table',compact('brands'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function create()
    {
        return view('admin.crud.brand._create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function store(Request $request)
    {
        $input = $request->all();
        Brand::query()->create($input);
        return redirect()->route('dashboard.brands.index')->with('success', 'Slider added successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $brand = Brand::query()->find($id);
        return  view('admin.crud.brand._show' ,compact('brand'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $brand = Brand::query()->find($id);
        return view('admin.crud.brand._edit',compact('brand'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\RedirectResponse
     */
    public function update(Request $request, $id)
    {
        $brand = Brand::query()->find($id);
        $input = $request->all();

//        if($request->hasFile('brand_photo')  ) {
//            $brandPhoto = ImageHelper::add($request->brand_photo, null, 'brand_photo');
//            $input['brand_photo'] = $brandPhoto;
//        }
//        if($request->hasFile('brand_photo_details')  ) {
//            $brandPhotoDetails = ImageHelper::add($request->brand_photo_details, null, 'brand_photo');
//            $input['brand_photo_details'] = $brandPhotoDetails;
//        }
        $brand->update($input);
        return redirect()->route('dashboard.brands.index')->with('Slider updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\RedirectResponse
     */
    public function destroy($id)
    {
        Brand::query()->where('id',$id)->first()->delete();
        return redirect()->route('dashboard.brands.index')->with('Slider deleted successfully');
    }

//    public function deleteImage(Request $request)
//    {
//        $brand = Brand::query()->findOrFail($request->brand_id);
//
//        // Delete the existing identity photo
//        if ($brand->brand_photo) {
//            ImageHelper::delete($brand->brand_photo);
//            $brand->brand_photo = 0;
//            $brand->save();
//
//            return response()->json(['success' => true]);
//        }
//
//        if ($brand->brand_photo_details) {
//            ImageHelper::delete($brand->brand_photo_details);
//            $brand->brand_photo_details = 0;
//            $brand->save();
//
//            return response()->json(['success' => true]);
//        }
//
//        return response()->json(['success' => false], 400);
//    }
}
