<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use Illuminate\Http\Request;

class CategoryController extends Controller
{

//    public $search = 'category';
    public $resource = 'category';
    public $route = 'categories';

    public function __construct()
    {
        view()->share('item', $this->resource);
//        view()->share('search', $this->search);
        view()->share('route', $this->route);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function index()
    {
            $categories = Category::query()->orderBy('created_at', 'desc')->paginate(10);
        return view('admin.crud.category._table',compact('categories'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function create()
    {
        return view('admin.crud.category._create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function store(Request $request)
    {
        $input = $request->all();
        Category::query()->create($input);
        return redirect()->route('dashboard.categories.index')->with('success', 'Slider added successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $category = Category::query()->find($id);
        return  view('admin.crud.category._show' ,compact('category'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $category = Category::query()->find($id);
        return view('admin.crud.category._edit',compact('category'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\RedirectResponse
     */
    public function update(Request $request, $id)
    {
        $category = Category::query()->find($id);
        $input = $request->all();

//        if($request->hasFile('category_photo')  ) {
//            $categoryPhoto = ImageHelper::add($request->category_photo, null, 'category_photo');
//            $input['category_photo'] = $categoryPhoto;
//        }
//        if($request->hasFile('category_photo_details')  ) {
//            $categoryPhotoDetails = ImageHelper::add($request->category_photo_details, null, 'category_photo');
//            $input['category_photo_details'] = $categoryPhotoDetails;
//        }
        $category->update($input);
        return redirect()->route('dashboard.categories.index')->with('Slider updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\RedirectResponse
     */
    public function destroy($id)
    {
        Category::query()->where('id',$id)->first()->delete();
        return redirect()->route('dashboard.categories.index')->with('Slider deleted successfully');
    }

//    public function deleteImage(Request $request)
//    {
//        $category = Category::query()->findOrFail($request->category_id);
//
//        // Delete the existing identity photo
//        if ($category->category_photo) {
//            ImageHelper::delete($category->category_photo);
//            $category->category_photo = 0;
//            $category->save();
//
//            return response()->json(['success' => true]);
//        }
//
//        if ($category->category_photo_details) {
//            ImageHelper::delete($category->category_photo_details);
//            $category->category_photo_details = 0;
//            $category->save();
//
//            return response()->json(['success' => true]);
//        }
//
//        return response()->json(['success' => false], 400);
//    }
}
