<?php

namespace App\Http\Controllers\Admin;

use App\Helper\ImageHelper;
use App\Http\Controllers\Controller;
use App\Models\Process;
use Illuminate\Http\Request;

class ProcessController extends Controller
{

    public $resource = 'process';
    public $route = 'processs';

    public function __construct()
    {
        view()->share('item', $this->resource);
        view()->share('route', $this->route);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function index()
    {
        $processs = Process::query()->orderBy('created_at', 'desc')->paginate(10);
        return view('admin.crud.process._table',compact('processs'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function create()
    {
        return view('admin.crud.process._create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function store(Request $request)
    {
        $input = $request->all();
        if($request->hasFile('image')  ) {
            $processPhoto = ImageHelper::add($request->image, null, 'image');
            $input['image'] = $processPhoto;
            Process::query()->create($input);
        }
        return redirect()->route('dashboard.services.index')->with('success', 'Process added successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $process = Process::query()->find($id);
        return view('admin.crud.process._edit',compact('process'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $process = Process::query()->find($id);
        $input = $request->all();
        if($request->hasFile('image')  ) {
            $processPhoto = ImageHelper::add($request->image, null, 'image');
            $input['image'] = $processPhoto;
        }
        $process->update($input);
        return redirect()->route('dashboard.processs.index')->with('Process updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\RedirectResponse
     */
    public function destroy($id)
    {
        Process::query()->where('id',$id)->first()->delete();
        return redirect()->back()->with('Process deleted successfully');
    }

    public function deleteProcessPhoto(Request $request)
    {
        $process = Process::query()->findOrFail($request->process_id);

        // Delete the existing identity image
        if ($process->image) {
            ImageHelper::delete($process->image);
            $process->image = 0;
            $process->save();

            return response()->json(['success' => true]);
        }

        return response()->json(['success' => false], 400);
    }
}
