<?php

namespace App\Http\Trait;

use Illuminate\Http\Request;

trait CustomValidationTrait
{
    public function validateFields($fields): void
    {
        $request = request();
        $rules = [];
        $customMessages = [];
        foreach ($fields as $field) {
            switch ($field) {
                case 'footer_ar':
                case 'footer_en':
                case 'rights_ar':
                case 'rights_en':
                case 'web_name_ar':
                case 'web_name_en':
                    $rules[$field] = ['required', 'string'];
                    $customMessages["$field.required"] = "يجب ملأ الحقل";
                    $customMessages["$field.string"] = "يجب أن يكون الحقل نص";
                    break;
                case 'header_logo':
                case 'footer_logo':
                case 'icon':
                    $rules[$field] = ['required', 'image'];
                $customMessages["$field.required"] = "يجب اختيار صورة";
                $customMessages["$field.image"] = "يجب اختيار ملف من نوع صورة";
                    break;
                case 'link':
                    $rules[$field] = ['required', 'url'];
                    $customMessages["$field.required"] = "يجب ملأ الحقل";
                    $customMessages["$field.url"] = "يجب اختيار رابط ";
                    break;
                default:
                    $rules[$field] = ['nullable'];
            }
        }


        $request->validate($rules);

   /*     if (app()->getLocale() == 'ar') {
            $request->validate($rules, $customMessages);
        } else {
            $request->validate($rules);
        }
   */

    }

    public function extraValidateFields($extraRules): void
    {
        $request = request();
        $request->validate($extraRules);
    }
}
