<?php

namespace App\Providers;

use App\Contracts\Services\Twitter;
use App\Jobs\SendTweetAboutPublishedPost;
use App\Models\Meta;
use App\Models\Post;
use App\Services\Twitter\OauthClient;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\ServiceProvider;
use Mcamara\LaravelLocalization\Facades\LaravelLocalization;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {

    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot(): void
    {
        Schema::defaultStringLength(191);
        Paginator::useBootstrap();
        view()->composer('*',function($view) {
            $meta = Meta::first();
            $lang = LaravelLocalization::getCurrentLocale() ;
            $view->with('meta', $meta)->with('lang', $lang);

        });
    }
}
