@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Brand Home" :route="''"  :import="''"/>
            <!-- end page-title -->
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <form action="{{route('dashboard.homeBrands.update',$homeBrand->id)}}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                                <x-input attribute="col-sm-10" label="Name" type="type" name="name" :value="$homeBrand->name" placeholder="Enter the name"/>
                                <x-input attribute="col-sm-10" label="Description" type="type" name="description" :value="$homeBrand->description" placeholder="Enter the description"/>
                                <x-input attribute="col-sm-10" label="Discover more link" type="type"  name="discover_more_link" :value="$homeBrand->discover_more_link" placeholder="Enter the link of the discover more"/>

                                <x-input attribute="col-sm-10" label="Add Brand Home Photo" type="file" name="photo" value="" placeholder="Enter the slider"/>
                                <div class="form-group row">
                                    <label class="col-form-label col-sm-2 text-right">Brand Home Photo</label>
                                    <div class="col-sm-10">
                                        @if($homeBrand->photo)
                                            <div class="d-flex align-items-center">
                                                <img src="{{ asset($homeBrand->photo) }}" alt="Identity Photo" class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                                <button class="btn btn-danger ml-2 delete-image-slider-photo" data-slider-id="{{ $homeBrand->id }}">Delete</button>
                                            </div>
                                        @else
                                            <p>No Brand Home Photo</p>
                                        @endif
                                    </div>
                                </div>
                                <x-button :attribute="getAction()" :item="$item" />
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div>
        </div>
        <!-- container-fluid -->

    </div>

    <script>
        $(document).ready(function(){
            $('.delete-image-slider-photo').on('click', function(event){
                var homeBrandId = $(this).data('slider-id');
                if(confirm("Are you sure you want to delete this image?")) {
                    $.ajax({
                        url: "{{ route('dashboard.homeBrands.photo') }}", // Adjust this route if necessary
                        method: 'POST',
                        data: {
                            _token: "{{ csrf_token() }}",
                            homeBrand_id : homeBrandId
                        },
                        success: function(response){
                            location.reload();
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                            alert('An error occurred while deleting the image.');
                        }
                    });
                }
            });
        });
    </script>
@endsection
