@extends('admin.layouts.app')

@section('content')
        <!-- Start content -->
        <div class="content">
            <div class="container-fluid">
                <x-nav title="Contact Tables" :route="''"  :import="''"/>
                <x-alert />

                <!-- end page-title -->
                <div class="row">
                    <div class="col-12">
                        <div class="card m-b-30">
                            <div class="card-body">
                                <table class="table table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                    <tr>
                                        <th>Contact ID</th>
                                        <th>Message</th>
                                        <th>Created At</th>
                                        <th>Control</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @if($contacts->isEmpty())
                                        <tr>
                                            <td colspan="4" class="text-center"><p style="font-size: 20px">There are no contacts to be shown</p></td>
                                        </tr>
                                    @else
                                        @php
                                            $counter = ($contacts->currentPage() - 1) * $contacts->perPage() + 1;
                                        @endphp
                                    @foreach($contacts as $contact)
                                    <tr>
                                        <td>{{$counter}}</td>
                                        <td>{{$contact->message}}</td>
                                        <td>{{$contact->created_at->format('d / m / Y') }}</td>
                                        <td>
                                            <form id="delete-form-{{$contact->id}}" method="POST" action="{{ route('dashboard.contacts.destroy',$contact->id) }}">
                                                @csrf
                                                @method('DELETE')
                                                <a href="{{route('dashboard.contacts.show' ,$contact->id )}}" class="btn btn-warning" style="border: none">Show</a>
                                                <button type="button" class="btn btn-danger" style="border: none" onclick="confirmDelete({{$contact->id}})" >Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                    @php
                                        $counter++;
                                    @endphp
                                    @endforeach
                                    @endif
                                    </tbody>
                                </table>
                                {{ $contacts->onEachSide(5)->links()  }}
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div>

            <!-- container-fluid -->
        </div>
        <!-- content -->

        <script>
            function confirmDelete(id) {
                console.log('Confirm delete called for id:', id);
                Swal.fire({
                    title: 'Are you sure ?',
                    text: "You can't retore the data after deleting",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes , Delete !',
                    cancelButtonText: 'Cancel'
                }).then((result) => {
                    if (result.isConfirmed) {
                        document.getElementById('delete-form-' + id).submit();
                    }
                });
            }
        </script>
@endsection


