@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Counter" :route="''"  :import="''"/>
            <!-- end page-title -->
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <form action="{{route('dashboard.counters.update',$counter->id)}}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                                <x-input attribute="col-sm-10" label="Counter Name" type="type" name="title" :value="$counter->title" placeholder="Enter counter title"/>
                                <x-input attribute="col-sm-10" label="Counter Number" type="number" name="count_number" :value="$counter->count_number" placeholder="Enter counter number"/>
                                <div class="form-group row">
                                    <label for="description" class="col-sm-10 col-form-label">Description</label>
                                    <div class="col-sm-10">
                                        <textarea id="description" name="description" class="form-control rich-text-editor">{{ $counter->description }}</textarea>
                                    </div>
                                </div>


                                <x-input attribute="col-sm-10" label="Counter Photo" type="file" name="counter_photo" value="" placeholder="Enter counter Photo"/>
                                <div class="form-group row">
                                    <div class="col-sm-10"><br><br></div>
                                </div>
                                <div class="form-group row">
                                    <label for="counter_photo" class="col-form-label col-sm-2">Current counter photo</label>
                                    <div class="col-sm-10">
                                        @if($counter->counter_photo)
                                            <img src="{{ asset($counter->counter_photo) }}" alt="Identity Photo" class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                            <button type="button" class="btn btn-danger delete-image" data-image-id="{{ $counter->id }}">Delete</button>
                                        @else
                                            <p>No counter photo currently</p>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-10"><br><br></div>
                                </div>

                                <x-button :attribute="getAction()" :item="$item" />
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div>
        </div>
        <!-- container-fluid -->

    </div>

    <!-- Include Rich Text Editor Script -->
    <script src="https://cdn.ckeditor.com/4.16.2/standard/ckeditor.js"></script>
    <script>
        // Image delete functionality
        $(document).ready(function(){
            $('.delete-image').on('click', function(event){
                var CounterId = $(this).data('image-id');
                if(confirm("Are you sure you want to delete this image?")) {
                    $.ajax({
                        url: "{{ route('dashboard.counters.deleteImage') }}", // Adjust this route if necessary
                        method: 'POST',
                        data: {
                            _token: "{{ csrf_token() }}",
                            counter_id: CounterId
                        },
                        success: function(response){
                            location.reload();
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                            alert('An error occurred while deleting the image.');
                        }
                    });
                }
            });
        });
    </script>
@endsection
