@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Counter" :route="''"  :import="''"/>
            <!-- End page-title -->

            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-header">
                            <h4 class="card-title">Counter Information</h4>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <!-- Counter Title -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Counter Title:</h5>
                                    <p class="text-bold">{{ $counter->title }}</p>
                                </div>

                                <!-- Counter Title -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Counter Number:</h5>
                                    <p class="text-bold">{{ $counter->count_number }}</p>
                                </div>

                                <!-- Counter Description -->
                                <div class="col-md-12">
                                    <h5 class="text-muted">Description:</h5>
                                    <p>{{ $counter->description }}</p>
                                </div>
                            </div>

                            <div class="row">
                                <!-- Counter Photo -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Counter Photo:</h5>
                                    @if($counter->counter_photo)
                                        <img src="{{ asset($counter->counter_photo) }}" alt="Counter Photo" class="img-fluid rounded" style="max-width: 300px;">
                                    @else
                                        <p>No service photo available</p>
                                    @endif
                                </div>


                            </div>
                        </div>
                    </div>

                    <!-- Back Button -->
                    <div class="card m-b-30">
                        <div class="card-body text-center">
                            <a href="{{ route('dashboard.counters.index') }}" class="btn btn-primary">Back to Counters</a>
                        </div>
                    </div>
                </div>
            </div> <!-- end row -->
        </div>
        <!-- end container-fluid -->
    </div>
@endsection
