@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Main Page Service" :route="''"  :import="''"/>
            <!-- end page-title -->
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <form action="{{route('dashboard.mainPageServices.update',$mainPageService->id)}}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                                <x-input attribute="col-sm-10" label="Title" type="type" name="title" :value="$mainPageService->title" placeholder="Enter the Title"/>
                                <x-input attribute="col-sm-10" label="Link" type="type" name="link" :value="$mainPageService->link" placeholder="Enter the Link"/>
                                <x-input attribute="col-sm-10" label="Add Main Page Service Photo" type="file" name="photo" value="" placeholder="Enter the slider"/>
                                <div class="form-group row">
                                    <label class="col-form-label col-sm-2 text-right">Main Page Service Photo</label>
                                    <div class="col-sm-10">
                                        @if($mainPageService->photo)
                                            <div class="d-flex align-items-center">
                                                <img src="{{ asset($mainPageService->photo) }}" alt="Identity Photo" class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                                <button class="btn btn-danger ml-2 delete-image-slider-photo" data-slider-id="{{ $mainPageService->id }}">Delete</button>
                                            </div>
                                        @else
                                            <p>No Main Page Service Photo</p>
                                        @endif
                                    </div>
                                </div>
                                <x-button :attribute="getAction()" :item="$item" />
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div>
        </div>
        <!-- container-fluid -->

    </div>

    <script>
        $(document).ready(function(){
            $('.delete-image-slider-photo').on('click', function(event){
                var mainPageServiceId = $(this).data('slider-id');
                if(confirm("Are you sure you want to delete this image?")) {
                    $.ajax({
                        url: "{{ route('dashboard.mainPageServices.deleteImage') }}", // Adjust this route if necessary
                        method: 'POST',
                        data: {
                            _token: "{{ csrf_token() }}",
                            mainPageService_id : mainPageServiceId
                        },
                        success: function(response){
                            location.reload();
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                            alert('An error occurred while deleting the image.');
                        }
                    });
                }
            });
        });
    </script>
@endsection
