@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit New & Event" :route="''"  :import="''"/>
            <!-- end page-title -->
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <form action="{{route('dashboard.newsEvents.update',$newsEvent->id)}}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                                <x-input attribute="col-sm-10" label="Title" type="type" name="title" :value="$newsEvent->title" placeholder="Enter the Title"/>
                                <x-input attribute="col-sm-10" label="Date" type="type" name="date" :value="$newsEvent->date" placeholder="Enter the Date"/>
                                <div class="form-group row">
                                    <label for="description" class="col-sm-10 col-form-label">Description</label>
                                    <div class="col-sm-10">
                                        <textarea id="description" name="description" class="form-control" placeholder="Enter detailed product description">{{$newsEvent->description}}</textarea>
                                    </div>
                                </div>
                                <x-input attribute="col-sm-10" label="Add New & Event Photo" type="file" name="photo" value="" placeholder="Enter the Photo"/>
                                <div class="form-group row">
                                    <label class="col-form-label col-sm-2 text-right">New & Event Photo</label>
                                    <div class="col-sm-10">
                                        @if($newsEvent->photo)
                                            <div class="d-flex align-items-center">
                                                <img src="{{ asset($newsEvent->photo) }}" alt="Identity Photo" class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                                <button class="btn btn-danger ml-2 delete-image-slider-photo" data-slider-id="{{ $newsEvent->id }}">Delete</button>
                                            </div>
                                        @else
                                            <p>No New & Event Photo</p>
                                        @endif
                                    </div>
                                </div>
                                <x-button :attribute="getAction()" :item="$item" />
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div>
        </div>
        <!-- container-fluid -->

    </div>

    <script>
        $(document).ready(function(){
            $('.delete-image-slider-photo').on('click', function(event){
                var mainPageServiceId = $(this).data('slider-id');
                if(confirm("Are you sure you want to delete this image?")) {
                    $.ajax({
                        url: "{{ route('dashboard.newsEvents.deleteImage') }}", // Adjust this route if necessary
                        method: 'POST',
                        data: {
                            _token: "{{ csrf_token() }}",
                            mainPageService_id : mainPageServiceId
                        },
                        success: function(response){
                            location.reload();
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                            alert('An error occurred while deleting the image.');
                        }
                    });
                }
            });
        });
    </script>
@endsection
