@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Product" :route="''" :import="''"/>
            <!-- end page-title -->
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <form action="{{route('dashboard.products.update',$product->id)}}" method="POST"
                                  enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                                <x-input attribute="col-sm-10" label="Product Name" type="type" name="product_name"
                                         :value="$product->product_name" placeholder="Enter product title"/>
                                <x-input attribute="col-sm-10" label="Product Price" type="type" name="price"
                                         :value="$product->price" placeholder="Enter product title"/>

{{--                                <x-select-2 name="sub_category_id" :options="$subCategories" label="Sub Category"--}}
{{--                                            addNewRoute="{{ route('dashboard.subcategories.create') }}"--}}
{{--                                            :selectedValue="$selectSubCategory"/>--}}
{{--                                <x-select-2 name="brand_id" :options="$brands" label="Brand"--}}
{{--                                            addNewRoute="{{ route('dashboard.brands.create') }}"--}}
{{--                                            :selectedValue="$selectBrand"/>--}}
                                <div class="form-group row">
                                    <label for="status" class="col-sm-10 col-form-label">Show\Hide</label>
                                    <div class="col-sm-10">
                                        <select id="status" name="status" class="form-control">
                                            <option {{$product->status==1?'selected':''}} value="1">Show</option>
                                            <option {{$product->status==0?'selected':''}} value="0">Hide</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="description" class="col-sm-10 col-form-label">Category</label>
                                    <div class="col-sm-10">
                                        <select class="select2 form-control" name="sub_category_id">
                                            @foreach($subCategories as $sc)
                                                <option value="{{$sc->id}}" {{$sc->id==$selectSubCategory?'selected':''}}>{{$sc->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="description" class="col-sm-10 col-form-label">Brand</label>
                                    <div class="col-sm-10">
                                        <select class="select2 form-control" name="brand_id">
                                            @foreach($brands as $sc)
                                                <option value="{{$sc->id}}" {{$sc->id==$selectBrand?'selected':''}}>{{$sc->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <!-- Description Input (Rich Text Editor) -->
                                <div class="form-group row">
                                    <label for="description" class="col-sm-10 col-form-label">Description</label>
                                    <div class="col-sm-10">
                                        <textarea id="description" name="description"
                                                  class="form-control">{{ $product->description }}</textarea>
                                    </div>
                                </div>

                                <x-input attribute="col-sm-10" label="Product Photo" type="file" name="product_photo"
                                         value="" placeholder="Enter product Photo"/>
                                <div class="form-group row">
                                    <div class="col-sm-10"><br><br></div>
                                </div>
                                <div class="form-group row">
                                    <label for="product_photo" class="col-form-label col-sm-2">Current product
                                        photo</label>
                                    <div class="col-sm-10">
                                        @if($product->product_photo)
                                            <img src="{{ asset($product->product_photo) }}" alt="Identity Photo"
                                                 class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                            <button type="button" class="btn btn-danger delete-image"
                                                    data-image-id="{{ $product->id }}">Delete
                                            </button>
                                        @else
                                            <p>No product photo currently</p>
                                        @endif
                                    </div>
                                </div>
                                <label for="product_photos" class="col-form-label col-sm-2">Other Product Photos</label>
                                <input class="col-sm-10 btn btn-default" type="file"
                                       multiple="multiple"
                                       name="product_photos[]"
                                       value=""
                                       placeholder="Enter product Photos"/>
                                <div class="form-group row">
                                    <div class="col-sm-10"><br><br></div>
                                </div>
                                <div class="form-group row">
                                    <label for="product_photos" class="col-form-label col-sm-2">Other product
                                        photos</label>
                                    <div class="col-sm-10">
                                        @if($product->product_photos)
                                            @foreach(json_decode($product->product_photos) as $ph)
                                                <img src="{{ asset($ph) }}" alt="Identity Photo" class="img-thumbnail"
                                                     style="max-width: 200px; margin-right: 10px;">
                                            @endforeach
                                        @else
                                            <p>No product photo currently</p>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-10"><br><br></div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-2 col-form-label">Product Colors</label>
                                    <div class="col-sm-10">
                                        <div id="color-container">
                                            @if($product->colors)
                                                @foreach(json_decode($product->colors, true) as $color)
                                                    <div class="color-row d-flex align-items-center mt-2">
                                                        <input type="color" name="colors[color][]" value="{{ $color['color'] }}" class="form-control-color" />
                                                        <input type="text" name="colors[name][]" value="{{ $color['name'] }}" placeholder="Enter color name" class="form-control ml-2" />
                                                        <button type="button" class="btn btn-danger btn-sm ml-2 remove-color">Remove</button>
                                                    </div>
                                                @endforeach
                                            @else
                                            @endif
                                        </div>
                                        <button type="button" id="add-color" class="btn btn-primary mt-2">Add Color</button>
                                    </div>
                                </div>


                                <x-button :attribute="getAction()" :item="$item"/>
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div>
        </div>
        <!-- container-fluid -->

    </div>

    <!-- Include Rich Text Editor Script -->
    {{--    <script src="https://cdn.ckeditor.com/4.16.2/standard/ckeditor.js"></script>--}}
    <script>

        // Image delete functionality
        $(document).ready(function () {
            $('.delete-image').on('click', function (event) {
                var ProductId = $(this).data('image-id');
                if (confirm("Are you sure you want to delete this image?")) {
                    $.ajax({
                        url: "{{ route('dashboard.products.deleteImage') }}", // Adjust this route if necessary
                        method: 'POST',
                        data: {
                            _token: "{{ csrf_token() }}",
                            product_id: ProductId
                        },
                        success: function (response) {
                            location.reload();
                        },
                        error: function (xhr, status, error) {
                            console.error(xhr.responseText);
                            alert('An error occurred while deleting the image.');
                        }
                    });
                }
            });
        });
        $(document).ready(function () {
            // Add a new color row
            $('#add-color').on('click', function () {
                $('#color-container').append(`
                <div class="color-row d-flex align-items-center mt-2">
                    <input type="color" name="colors[color][]" class="form-control-color" />
                    <input type="text" name="colors[name][]" placeholder="Enter color name" class="form-control ml-2" />
                    <button type="button" class="btn btn-danger btn-sm ml-2 remove-color">Remove</button>
                </div>
            `);
            });

            // Remove a color row
            $(document).on('click', '.remove-color', function () {
                $(this).closest('.color-row').remove();
            });
        });
    </script>
@endsection
