@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Product" :route="''"  :import="''"/>
            <!-- End page-title -->

            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-header">
                            <h4 class="card-title">Product Information</h4>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <!-- Product Title -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Product Name:</h5>
                                    <p class="text-bold">{{ $product->product_name }}</p>
                                </div>

                                <!-- Product Title -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Product Price:</h5>
                                    <p class="text-bold">{{ $product->price }}</p>
                                </div>

                                <!-- Product Title -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Product sub category:</h5>
                                    <p class="text-bold">{{ $product->subCategory->name }}</p>
                                </div>

                                <!-- Product Title -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Product Brand:</h5>
                                    <p class="text-bold">{{ $product->brand->name }}</p>
                                </div>

                                <!-- Product Description -->
                                <div class="col-md-12">
                                    <h5 class="text-muted">Description:</h5>
                                    <p>{!! $product->description !!}</p>
                                </div>
                            </div>

                            <div class="row">
                                <!-- Product Photo -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Product Photo:</h5>
                                    @if($product->product_photo)
                                        <img src="{{ asset($product->product_photo) }}" alt="Product Photo" class="img-fluid rounded" style="max-width: 300px;">
                                    @else
                                        <p>No service photo available</p>
                                    @endif
                                </div>


                            </div>
                        </div>
                    </div>

                    <!-- Back Button -->
                    <div class="card m-b-30">
                        <div class="card-body text-center">
                            <a href="{{ route('dashboard.products.index') }}" class="btn btn-primary">Back to Products</a>
                        </div>
                    </div>
                </div>
            </div> <!-- end row -->
        </div>
        <!-- end container-fluid -->
    </div>
@endsection
