@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Service" :route="''" :import="''"/>
            <!-- end page-title -->
            <div class="row">
                <div class="col-8">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <form action="{{route('dashboard.services.update',$service->id)}}" method="POST"
                                  enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                                {{--                                <x-input attribute="col-sm-10" label="Name" type="type" name="name" :value="$service->name" placeholder="Enter service name"/>--}}
                                <x-input attribute="col-sm-10" label="Title" type="type" name="title"
                                         :value="$service->title" placeholder="Enter service title"/>
                                <x-input attribute="col-sm-10" label="Service Order" type="type" name="so_number"
                                         :value="$service->so_number" placeholder="Service Order"/>
                                {{--                                <x-input attribute="col-sm-10" label="Value One" type="type" name="value_one" :value="$service->value_one" placeholder="Enter service value one"/>--}}
                                {{--                                <x-input attribute="col-sm-10" label="Value Two" type="type" name="value_two" :value="$service->value_two" placeholder="Enter service value two"/>--}}
                                {{--                                <x-input attribute="col-sm-10" label="Value Three" type="type" name="value_three" :value="$service->value_three" placeholder="Enter service value three"/>--}}
                                <!-- Description Input (Rich Text Editor) -->
                                <div class="form-group row">
                                    <label for="description" class="col-sm-2 col-form-label">Description</label>
                                    <div class="col-sm-10">
                                        <textarea id="description" name="description"
                                                  class="form-control rich-text-editor">{{ $service->description }}</textarea>
                                    </div>
                                </div>

                                <x-input attribute="col-sm-10" label="Service Photo" type="file" name="service_photo"
                                         value="" placeholder="Enter service Photo"/>
                                <x-input attribute="col-sm-10" label="Service Photo for details page" type="file"
                                         name="service_photo_details" value=""
                                         placeholder="Enter service Photo for details page"/>
                                <x-input attribute="col-sm-10" label="Service banner for details page" type="file"
                                         name="banner" value="" placeholder="Enter service banner for details page"/>
                                <div class="form-group row">
                                    <div class="col-sm-10"><br><br></div>
                                </div>
                                <div class="form-group row">
                                    <label for="service_photo" class="col-form-label col-sm-2">Current service
                                        photo</label>
                                    <div class="col-sm-10">
                                        @if($service->service_photo)
                                            <img src="{{ asset($service->service_photo) }}" alt="Identity Photo"
                                                 class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                            <button type="button" class="btn btn-danger delete-image"
                                                    data-image-id="{{ $service->id }}">Delete
                                            </button>
                                        @else
                                            <p>No service photo currently</p>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-10"><br><br></div>
                                </div>
                                <div class="form-group row">
                                    <label for="service_photo" class="col-form-label col-sm-2">Current Service Photo for
                                        details page</label>
                                    <div class="col-sm-10">
                                        @if($service->service_photo_details)
                                            <img src="{{ asset($service->service_photo_details) }}" alt="Identity Photo"
                                                 class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                            <button type="button" class="btn btn-danger delete-image"
                                                    data-image-id="{{ $service->id }}">Delete
                                            </button>
                                        @else
                                            <p>No service photo currently</p>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="service_photo" class="col-form-label col-sm-2">Current Service Banner
                                        for details page</label>
                                    <div class="col-sm-10">
                                        @if($service->banner)
                                            <img src="{{ asset($service->banner) }}" alt="Identity Photo"
                                                 class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                            <button type="button" class="btn btn-danger delete-image"
                                                    data-image-id="{{ $service->id }}">Delete
                                            </button>
                                        @else
                                            <p>No service banner currently</p>
                                        @endif
                                    </div>
                                </div>
                                <h3 class="col-form-label">SALES TEAM</h3>
                                <div class="form-group row">
                                    <label for="mount_of_lebanon" class="col-sm-2 col-form-label">Mount Of
                                        Lebanon</label>
                                    <div class="col-sm-10">
                                        <textarea id="mount_of_lebanon" name="mount_of_lebanon"
                                                  class="form-control rich-text-editor">{{ $service->mount_of_lebanon }}
                                        </textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="bekaa" class="col-sm-2 col-form-label">Bekaa</label>
                                    <div class="col-sm-10">
                                        <textarea id="bekaa" name="bekaa"
                                                  class="form-control rich-text-editor">{{ $service->bekaa }}
                                        </textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="south_leabanon" class="col-sm-2 col-form-label">South Lebanon</label>
                                    <div class="col-sm-10">
                                        <textarea id="south_leabanon" name="south_leabanon"
                                                  class="form-control rich-text-editor">{{ $service->south_leabanon }}
                                        </textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="beirut" class="col-sm-2 col-form-label">Beirut</label>
                                    <div class="col-sm-10">
                                        <textarea id="beirut" name="beirut"
                                                  class="form-control rich-text-editor">{{ $service->beirut }}
                                        </textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="north_lebanon" class="col-sm-2 col-form-label">North Lebanon</label>
                                    <div class="col-sm-10">
                                        <textarea id="north_lebanon" name="north_lebanon"
                                                  class="form-control rich-text-editor">{{ $service->north_lebanon }}
                                        </textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="north_lebanon" class="col-sm-2 col-form-label">Main Office</label>
                                    <div class="col-sm-10">
                                        <textarea id="main_office" name="main_office"
                                                  class="form-control rich-text-editor">{{ $service->main_office }}
                                        </textarea>
                                    </div>
                                </div>

                                <x-button :attribute="getAction()" :item="$item"/>
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
                <div class="col-4">
                    <div class="card m-b-30">
                        <div class="card-body">
                            <h3>The Process</h3>
                            <a class="btn btn-success"
                               target="_blank"
                               href="{{route('dashboard.process.create')}}?id={{$service->id}}">Add
                                New</a>
                            <table class="table table-hover">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Title</th>
                                    <th>Order</th>
                                    <th>Image</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach(\App\Models\Process::where('service_id',$service->id)->orderBy('o_s','asc')->get() as $s)
                                    <tr>
                                        <td>{{$s->id}}</td>
                                        <td>{{$s->title}}</td>
                                        <td>{{$s->order}}</td>
                                        <td><img src="{{asset($s->image)}}" width="50"></td>
                                        <td>
                                            <form
                                                method="POST" action="{{ route('dashboard.process.destroy',$s->id) }}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger" style="border: none"
                                                >Delete
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- container-fluid -->

    </div>

    <!-- Include Rich Text Editor Script -->
    <script src="https://cdn.ckeditor.com/4.16.2/standard/ckeditor.js"></script>
    <script>
        // Initialize CKEditor
        CKEDITOR.replace('description', {
            height: 300,
            toolbarGroups: [
                {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
                {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align']},
                {name: 'styles'},
                {name: 'colors'},
                {name: 'links'},
                {name: 'insert'}
            ],
            removeButtons: 'Underline,Subscript,Superscript'
        });
        CKEDITOR.replace('mount_of_lebanon', {
            height: 300,
            toolbarGroups: [
                {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
                {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align']},
                {name: 'styles'},
                {name: 'colors'},
                {name: 'links'},
                {name: 'insert'}
            ],
            removeButtons: 'Underline,Subscript,Superscript'
        });
        CKEDITOR.replace('bekaa', {
            height: 300,
            toolbarGroups: [
                {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
                {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align']},
                {name: 'styles'},
                {name: 'colors'},
                {name: 'links'},
                {name: 'insert'}
            ],
            removeButtons: 'Underline,Subscript,Superscript'
        });
        CKEDITOR.replace('south_leabanon', {
            height: 300,
            toolbarGroups: [
                {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
                {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align']},
                {name: 'styles'},
                {name: 'colors'},
                {name: 'links'},
                {name: 'insert'}
            ],
            removeButtons: 'Underline,Subscript,Superscript'
        });
        CKEDITOR.replace('beirut', {
            height: 300,
            toolbarGroups: [
                {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
                {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align']},
                {name: 'styles'},
                {name: 'colors'},
                {name: 'links'},
                {name: 'insert'}
            ],
            removeButtons: 'Underline,Subscript,Superscript'
        });
        CKEDITOR.replace('main_office', {
            height: 300,
            toolbarGroups: [
                {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
                {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align']},
                {name: 'styles'},
                {name: 'colors'},
                {name: 'links'},
                {name: 'insert'}
            ],
            removeButtons: 'Underline,Subscript,Superscript'
        });
        CKEDITOR.replace('north_lebanon', {
            height: 300,
            toolbarGroups: [
                {name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
                {name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align']},
                {name: 'styles'},
                {name: 'colors'},
                {name: 'links'},
                {name: 'insert'}
            ],
            removeButtons: 'Underline,Subscript,Superscript'
        });


        // Image delete functionality
        $(document).ready(function () {
            $('.delete-image').on('click', function (event) {
                var ServiceId = $(this).data('image-id');
                if (confirm("Are you sure you want to delete this image?")) {
                    $.ajax({
                        url: "{{ route('dashboard.services.deleteImage') }}", // Adjust this route if necessary
                        method: 'POST',
                        data: {
                            _token: "{{ csrf_token() }}",
                            service_id: ServiceId
                        },
                        success: function (response) {
                            location.reload();
                        },
                        error: function (xhr, status, error) {
                            console.error(xhr.responseText);
                            alert('An error occurred while deleting the image.');
                        }
                    });
                }
            });
        });
    </script>
@endsection
