@extends('front.layouts.app')
@section('content')

    <section class="get-to-know">
        <section class="page-header mb-5">
            <div class="page-header-bg"
                 style="background-image: url({{asset('front/assets/images/backgrounds/page-header-bg.jpg')}})">
            </div>
            <div class="container">
                <div class="page-header__inner">
                    <ul class="thm-breadcrumb list-unstyled">
                        <li><a href="{{route('arabiaMobiles.home')}}">Home</a></li>
                        <li><span>/</span></li>
                        <li class="active">The Founder</li>
                    </ul>
                    <h2>The Founder</h2>
                </div>
            </div>
        </section>
    </section>
    <section class="trusted-company">
        <div class="container">
            <div class="row">
                <div class="col-xl-6">
                    <div class="trusted-company__left">
                        <div class="trusted-company__img wow slideInLeft animated" data-wow-delay="100ms"
                             data-wow-duration="2500ms"
                             style="visibility: visible; animation-duration: 2500ms; animation-delay: 100ms; animation-name: slideInLeft;">
                            <img src="{{asset('front/assets/images/resources/trusted-company-img-1.jpg')}}" alt="">
                        </div>
                    </div>
                </div>
                <div class="col-xl-6">
                    <div class="trusted-company__right">
                        <div class="section-title text-left">
                            <div class="section-title__tagline-box">
                                <span class="section-title__tagline">Letter from the Founder</span>
                                <div class="section-title-shape">
                                    {{--                                    <img src="{{asset('front/assets/images/shapes/section-title-shape.png')}}" alt="">--}}
                                </div>
                            </div>
                            <h2 class="section-title__title"> Our Commitment to Excellence at Arabia Mobiles </h2>
                        </div>
                        <p class="trusted-company__text-1">Mr. Elie Khoury<br>
                            CEO of Arabia Mobiles</p>
                        <p>
                            <b>From a Dream to a Legacy</b>
                        </p>
                        <p>
                            They say every journey begins with a single step, but mine began with a simple dream.
                        </p>
                        <p>
                            In 1994, I started with a small store selling cellular phones—a modest beginning fueled by
                            passion and a vision for growth. Those early days were challenging, but they laid the
                            foundation for what would become KI Holding, a thriving entity that encompasses Arabia
                            Mobiles and other ventures across Lebanon and the Middle East.
                        </p>
                        <p>
                            What began as a small business has grown into a holding that leads in innovation and sets
                            benchmarks in the communication sector. This journey is a testament to resilience, ambition,
                            and the courage to dream big.
                        </p>
                        <p>
                            Entrepreneurship is not just about business; it’s about believing in your vision and turning
                            challenges into opportunities. With determination, any dream can transform into a legacy.
                        </p>
{{--                        <p class="trusted-company__text-2">{{$setting->founder_message}}</p>--}}
                        <div class="trusted-company__points-box">


                        </div>
                        <div class="trusted-company__person">

                            <div class="trusted-company__person-content">
                                <h2 class="trusted-company__person-name"> Elie Khoury</h2>
                                <p class="trusted-company__person-text">Founder - CEO</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
